Skip to main content
GET
/
api
/
{portalId}
/
user
/
allocations
My Allocations
curl --request GET \
  --url https://api.example.com/api/{portalId}/user/allocations
{
  "id": "49744a32-4549-484b-b6d3-2a14dbfccd07",
  "claimed": 200,
  "vested": 600,
  "total": 1000,
  "category": "Community",
  "timestamps": [
    {
      "timestamp": 1706738400,
      "amount": 200
    },
    {
      "timestamp": 1709244000,
      "amount": 200
    },
    {
      "timestamp": 1711918800,
      "amount": 200
    },
    {
      "timestamp": 1714510800,
      "amount": 200
    },
    {
      "timestamp": 1717189200,
      "amount": 200
    }
  ],
  "createdAt": "2024-05-15T00:00:00.000Z",
  "description": "Allocation based on community contributions"
}

Headers

cursor
number | null

cursor for pagination; not required for the first page; for subsequent pages, use the cursor from the previous response (x-cursor response header)

Path Parameters

portalId
string<uuid>
required

unique portal id (provided by Magna)

Response

Ok

id
string<uuid>
required

unique allocation id

claimed
string
required

number of tokens claimed (received by the stakeholder)

vested
string
required

number of tokens vested (available to the stakeholder)

total
string
required

total number of tokens allocated to the stakeholder

category
string
required

category of the allocation

timestamps
object[]
required

unlock timestamps for the allocation

createdAt
string
required

allocation creation timestamp

description
string | null
required

description of the allocation

isOffChainClaim
boolean
required

whether the allocation is off-chain

isWalletSubmitted
boolean | null
required

is wallet submitted for allocation

submittedWallet
string | null
required

submitted wallet for allocation